QI(1)

NAME
qi - a simple but well-integrated package manager

SYNOPSIS
qi [OPTION...] [FILE]...

DESCRIPTION
Qi - A user-friendly package manager.

  Operation mode:

-b  Build packages using recipe names

-c  Create .tlz package from directory

-d  Delete packages

-i  Install packages

-o  Resolve build order through .order files

-u  Update packages (implies -i, -d with -p)

-w  Warn about files that will be linked

-x  Extract a package for debugging purposes

  Common options:

-N  Do not read the configuration file

-P <DIR>
    Package directory for installations.

    Only valid for -i, -d, or -u options

-f  This option can force the build of a recipe, or force the update of a pre-existing package.

    Only valid for -b, -u options

-t <DIR>
    Target directory for symbolic links.

    Only valid for -i, -d, or -u options

-k  Keep `${srcdir}' or `${destdir}' in build mode, keep package directory in delete mode.

    Only valid for -b, -d or -u options

-p  Prune conflicts on package installations

-r <DIR>
    Use the fully qualified named directory as the root directory for all qi operations. The target directory and package directory will be relative to the specified directory, including the log file for graft

-v  Be verbose (a 2nd -v gives more)

  Options for 'build' mode (-b):

-O  <DIR> Where the packages produced are written

-W  <DIR> Where archives, patches, and recipes are expected

-Z  <DIR> Where (compressed) sources will be found

-a  Architecture to use [detected]

-j  Parallel jobs for the compiler

-1  Increment release number (`${release}' + 1)

-n  Don't create a .tlz package

-S  Selects the option to skip completed recipes

  Informative options:

-L  Print default directory locations

-h  Display this help and exit

-V  Output version information

  Some influential environment variables:

TMPDIR
    Temporary directory for sources

QICFLAGS
    C compiler flags

QICXXFLAGS
    C++ compiler flags

QILDFLAGS
    Linker flags

When FILE is -, read standard input.

COPYRIGHT
Copyright © 2016-2019 Matias Andres Fonzo. License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for qi is maintained as a Texinfo manual. If the info and qi programs are properly installed at your site, the command

    info qi

should give you access to the complete manual.